@if '%1'=='' goto helpem
perl4 -S renlibs.pl %1 %2 %3 %4 %5 %6 %7 %8 %9
@rem The "-S" option tells perl to search for renlibs.pl on the PATH.
@rem Unfortunately, it won't look in the current directory unless '.' is
@rem explicity included on the PATH.  (This is a Unix-ism.)
@if errorlevel 3 goto xit
@if not errorlevel 2 goto xit
@rem errorlevel 2 generally means ".pl program file not found" so try again w/o "-S"
perl4 renlibs.pl %1 %2 %3 %4 %5 %6 %7 %8 %9
@if errorlevel 1 goto xit
@pause
@echo Note: To avoid the spurious "Can't execute renlibs.pl." error and the "press
@echo any key" pause, put renlibs.pl and renlibs.bat in a directory on your PATH.
@goto xit
:helpem
@echo RenLibs  --  Rename TLIB library files for new LIBEXT convention
@echo Copyright 2004, Burton Systems Software.  http://www.burtonsys.com/
@echo.
@echo To use this tool, first examine lines 16-17 of renlibs.pl, and make sure
@echo that $old_libext and $new_libext correctly reflect your old and new LIBEXT
@echo configuration parmaeters.  If you have Perl 5 installed use it; otherwise
@echo you may use Perl4.  If renlibs.pl is on your %%PATH%% then specify '-S'.
@echo Note: the '-S' option must be UPPERCASE, if used.
@echo.
@echo   perl4 -S renlibs.pl {options} {directories}
@echo   perl4 renlibs.pl {options} {directories}
@echo   perl -S renlibs.pl {options} {directories}
@echo   perl renlibs.pl {options} {directories}
@echo.
@echo where {directories} are one or more paths to folders containing TLIB library
@echo files, and {options} can be any combination of the following:
@echo.
@echo   -t   test (just show what would be done, don't actually do it)
@echo   -r   recursively traverse all the subdirectories beneath each directory
@echo   -q   quieter  (use this with -t to generate a .bat file to stdout)
@echo   -v   verbose (for debugging)
@echo.
@echo Examples:
@echo   "perl4 renlibs.pl ."   to convert tlib libraries in the current folder.
@echo   "perl4 renlibs.pl -r ."   to convert tlib libraries in a tree of folders.
@echo   "perl4 renlibs.pl -rtq . >doit.bat"   to generate a .bat file to do renames.
:xit
